Vai al contenuto

condenser_api.get_withdraw_routes ​

Purpose ​

Restituisce le rotte di prelievo (withdraw route) di un account. Parametri: account:string; type:string

account (string)type (string)
"steemit""outgoing"Interroga le rotte di prelievo in uscita di "steemit".
"steemit""incoming"Interroga le rotte di prelievo in entrata di "steemit".
"steemit""all"Interroga tutte le rotte di prelievo di "steemit".

Vedere anche: database_api.list_withdraw_vesting_routes

Parameters ​

PARAMETERS
json
[
  "",
  ""
]

Example ​

Example 1 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "condenser_api.get_withdraw_routes",
    "params": [
      "steemit",
      "outgoing"
    ],
    "id": 1
  }'

Example 2 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "condenser_api.get_withdraw_routes",
    "params": [
      "steemit",
      "incoming"
    ],
    "id": 1
  }'

Example 3 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "condenser_api.get_withdraw_routes",
    "params": [
      "steemit",
      "all"
    ],
    "id": 1
  }'

Response ​

RESPONSE
json
[
  {
    "id": 0,
    "from_account": "",
    "to_account": "",
    "percent": 0,
    "auto_vest": false
  }
]